using Godot;
using System;

public class ModeSelectionUI : Control
{
    [Signal]
    delegate void BuildModeEnabled();

    public override void _Process(float delta)
    {
        base._Process(delta);
    }

    public void EnableBuildMode()
    {
        EmitSignal(nameof(BuildModeEnabled));
        Visible = false;
    }

    public void Enable()
    {
        Visible = true;
    }
}
