using Godot;
using System;
using System.Collections.Generic;

public class OverlaysUI : Node
{
    [Export]
    private NodePath _cycleOverlayButtonPath;
    private Button _cycleOverlayButton;

    [Export]
    private NodePath _overlaysPath;
    private Overlays _overlays;

    private string _mainText;

    public override void _Ready()
    {
        base._Ready();

        _cycleOverlayButton = GetNode<Button>(_cycleOverlayButtonPath);
        _mainText = _cycleOverlayButton.Text;

        _overlays = GetNode<Overlays>(_overlaysPath);
    }

    public void CycleOverlay()
    {
        _overlays.CycleOverlay();
    }

    public void UpdateOverlayText(Overlay overlay)
    {
        _cycleOverlayButton.Text = $"{_mainText} ({_overlays.Current.Name})";
    }
}
