using Godot;

public class TileType : Resource
{
    [Export]
    public string Name { get; private set; }

    public string BuildLabel => $"[{Key}] {Name}";

    [Export]
    public KeyList Key { get; private set; }

    [Export]
    public Color Color { get; private set; }

    [Export]
    public float HeatGeneration { get; private set; }

    public override string ToString() => Name;
}